/**
 *    Copyright (C) 2010-2017 the original author or authors.
 *                  2018 iObserve Project (https://www.iobserve-devops.net)
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package org.mybatis.jpetstore.web.actions;

import java.io.Serializable;

import net.sourceforge.stripes.action.ActionBean;
import net.sourceforge.stripes.action.ActionBeanContext;
import net.sourceforge.stripes.action.SimpleMessage;

/**
 * The Class AbstractActionBean.
 *
 * @author Eduardo Macarron
 */
public abstract class AbstractActionBean implements ActionBean, Serializable {

    private static final long serialVersionUID = -1767714708233127983L;

    protected static final String ERROR = "/WEB-INF/jsp/common/Error.jsp";

    protected transient ActionBeanContext context;

    protected void setMessage(final String value) {
        context.getMessages().add(new SimpleMessage(value));
    }

    @Override
    public ActionBeanContext getContext() {
        return context;
    }

    @Override
    public void setContext(final ActionBeanContext context) {
        this.context = context;
    }

}
